
<?php
// fr 10/07/04 Calendrier

if(isset($_POST['mois']))
   $mois=$_POST['mois'];
else
   $mois=date("m");

if(isset($_POST['annee']))
   $annee=$_POST['annee'];
else
   $annee=date("Y");


    echo "<html><head></head><body><form name='f1'>";
    echo "<input type='hidden' name='mois' value='".$mois."'>";
    echo "<input type='hidden' name='annee' value='".$annee."'>";
    echo "</form>";
    echo "<table border=1  cellpadding=0 cellspacing=0>";
    echo "<tr bgcolor=Wheat>";
    echo "<td width='30'>Lun.</td>";
    echo "<td width='30'>Mar.</td>";
    echo "<td width='30'>Mer.</td>";
    echo "<td width='30'>Jeu.</td>";
    echo "<td width='30'>Ven.</td>";
    echo "<td width='30'>Sam.</td>";
    echo "<td width='30'>Dim.</td></tr><tr>";
    //recherche du 1er jour
    $anneeaff=$annee;
    while ($anneeaff<1971) $anneeaff+=28;
    $pjour = mktime(0,0,0,$mois,1,$anneeaff);
    $j=(int) strftime("%w",$pjour); //format numero de jour
    // 0=dimanche 1=lundi 2=mardi 3=mercredi 4=Jeudi 5=Vendredi 6=samedi
     if($j==0) //dimanche = 7 et non 0
     $j=7;
     $j=$j-1; //nbre d'espace à sauter en fonction du 1er jour
     if($j!=0)//lundi pas d espace
     echo "<td colspan=$j>&nbsp;</td>";
     for($i=1;$i<32;$i++){
       if (checkdate($mois,$i,$annee)){
         $bgcolor="#FFFFFF";
         if ($i==date('d'))
            if ($mois==date('m') && $annee==date('Y'))
               $bgcolor="#FF6699";
       echo "<td align='center' style='CURSOR: hand;' onmouseover=this.style.backgroundColor='#9999ff' onmouseout=this.style.backgroundColor='$bgcolor' onclick='javascript:recupdate($i);' bgcolor='$bgcolor'>";
       echo $i;
       echo "</td>";
       }
        $j++;
        if(($j %7)==0)
        echo "</tr><tr>";
     }
     echo "</table>";

?>

    <script language="javascript">
    function recupdate(MyElement)
    {   
      affMois=""+document.f1.mois.value;
      if (affMois.length<2) affMois="0"+ affMois;
      affMy=""+MyElement;
      if (affMy.length<2) affMy="0"+ affMy;
      if (parent.opener.document.f1.<?php echo $_GET['origine'];?>)
        parent.opener.document.f1.<?php echo $_GET['origine'];?>.value = affMy + "/" + affMois + "/" +  document.f1.annee.value;
      else
        parent.opener.document.f2.<?php echo $_GET['origine'];?>.value = affMy + "/" + affMois + "/" +  document.f1.annee.value;
      parent.close();
    }
    </script>
</BODY>
</HTML>